---
title: GitLab Demo
noindex: true
suppress_header: true
extra_css:
  - demo-leader.css
---

.demo-container
  .video-container#video-container{ style: "background: url('/images/demo/demo-background-purple.png') center center no-repeat;background-size: cover;" }
    .demo-info#demo-info
      %h2 Watch a GitLab demo now (3 minutes)
      %p
        Today’s toolchain complexity impedes the transformational promise of DevOps. Discover how you can commit to application modernization, reducing cycle times, and delivering secure apps with a single application for the entire DevOps lifecycle in this 18-minute demo.

      %p
        In this video, you’ll learn how to:
      %ul
        %li
          Streamline planning and collaboration to accelerate software delivery
        %li
          Automate your delivery pipeline to get code to production faster
        %li
          Improve release management for faster delivery
        %li
          Automate security testing to deliver secure apps

      %p
        Over 100,000 organizations - from startups to global enterprises like Ticketmaster, Paessler AG, NASDAQ, Alibaba, Axway, and Intel - trust GitLab to deliver software faster and more securely.

      %h2 Register now to watch the demo

    #confirmform{ style: "display: none;" }
      .centered-form-info
        %h2 Thanks and enjoy the demo!
        %p
          Have questions? Join a
          = link_to "LIVE Q&A session.", "/webcast/weekly-demo/"
        %iframe#demo-video{src: "", allow: "autoplay; encrypted-media", allowfullscreen: "allowfullscreen"}
  .demo-form-container#demo-form-container
    = image_tag "/images/demo/demo.svg", class: "demo-icon", alt: "Gitlab demo icon svg"
    %h3.margin-bottom30 Register to access the demo
    %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1754
    :javascript
      MktoForms2.setOptions(
      {
        formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
      });
      MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1754, function(form) {
        // Please include the email domains you would like to block in this list
        var invalidDomains = ["@qq.","@163.","@126."];

        form.onSuccess(function() {
          dataLayer.push({
            'event' : 'demo', 
            'mktoFormId' : form.getId(),
            'eventCallback' : function()
            {
              // show demo video
              document.getElementById('video-container').style.display = 'block';
              document.getElementById('demo-form-container').style.display = 'none';
              document.getElementById('confirmform').style.display = 'block';
              document.getElementById('demo-video').src = "https://player.vimeo.com/video/552524149";
              document.getElementById('demo-video').style.display = 'block';
              document.getElementById('demo-info').style.display = 'none';
              window.scrollTo(0, 0);
              // form.getFormElem().hide();
            }, 'eventTimeout' : 3000
          });
          return false;
        });

        form.onValidate(function() {
          var email = form.vals().Email;

          if (email) {
            if (!isEmailGood(email)) {
              form.submitable(false);
              var emailElem = form.getFormElem().find("#Email");
              form.showErrorMessage("Please use a business email, this is not an accepted email domain.", emailElem);
            } else {
              form.submitable(true);
            }
          }
        });

        function isEmailGood(email) {
          for(var i=0; i < invalidDomains.length; i++) {
            var domain = invalidDomains[i];
            if (email.indexOf(domain) != -1) {
              return false;
            }
          }
          return true;
        }

      });
